# PetscTrLogDump

Dumps the log of all calls to malloc; also calls PetscGetResidentSetSize().

### Synopsis

    #include "petsc.h"
    PetscErrorCode PetscTrLogDump(FILE *fp)

Collective on PETSC_COMM_WORLD

### Input Parameter

fp -file pointer; or PETSC_NULL

### Options Database Key

-trmalloc_log -Activates PetscTrLog() and PetscTrLogDump()

### Fortran Note

The calling sequence in Fortran is PetscTrLogDump(integer ierr) The fp defaults to stdout.

### See Also

PetscTrLog(), PetscTrDump()

Level:advanced
Location:src/sys/src/memory/mtr.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages